[Satellite L755, Conexant CX20585, Speaker, Internal] fails after a while

Bug #1038479 reported by Bernie Asmus on 2012-08-18
160
This bug affects 28 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

Restart will fix the issue, but sound always quits from internal speaker. Headphones work always.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: alsa-base 1.0.25+dfsg-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24
Uname: Linux 3.2.0-29-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu12
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bernie 1838 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xc0600000 irq 44'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:14f15069,1179fc50,00100302 HDA:80862805,1179fc50,00100000'
   Controls : 24
   Simple ctrls : 11
Date: Sat Aug 18 11:18:34 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
Symptom: audio
Symptom_Card: Built-in Audio - HDA Intel PCH
Symptom_Jack: Speaker, Internal
Symptom_Type: Sound works for a while, then breaks
Title: [Satellite L755, Conexant CX20585, Speaker, Internal] fails after a while
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/13/2011
dmi.bios.vendor: INSYDE
dmi.bios.version: 2.20
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Base Board Product Name
dmi.board.vendor: Intel Corp.
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: OEM Chassis Manufacturer
dmi.chassis.version: OEM Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvr2.20:bd07/13/2011:svnTOSHIBA:pnSatelliteL755:pvrPSK1WU-05N004:rvnIntelCorp.:rnBaseBoardProductName:rvrBaseBoardVersion:cvnOEMChassisManufacturer:ct10:cvrOEMChassisVersion:
dmi.product.name: Satellite L755
dmi.product.version: PSK1WU-05N004
dmi.sys.vendor: TOSHIBA

Bernie Asmus (bernie-b) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Carl Johnson (cfj829) wrote :

speakers work with windows,and work with restart in Ubuntu for approx. 6 or 7 mins..

Raymond (superquad-vortex2) wrote :

Seem related to power saving since power state changed to D3

Node 0x1f [Pin Complex] wcaps 0x400501: Stereo
  Pincap 0x00000010: OUT
  Pin Default 0x92170110: [Fixed] Speaker at Int Front
    Conn = Analog, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x00:
  Power states: D0 D1 D2 D3 D3cold EPSS
  Power: setting=D3, actual=D3
  Connection: 2
     0x10* 0x11

Carl Johnson (cfj829) wrote :

Well so much for ubuntu. Worked great for a while but once it screws up,it's back to windows.

Skot (mskot1) wrote :

First noticed this a few weeks ago on 11.10. Upgraded to 12.04, no impact.. Looks like an exact match so far.. Satellite L755, , Codec: Conexant CX20585. Will work for a few min to an hour at times then it stops... May be connected to power saving, I did notice it seems to happen when I walk away and the screen locks.. Have also had it stop in mid song on pandora while I was working..

Raymond (superquad-vortex2) wrote :

did the pin ctl of the speaker node change from OUT to 0x00 ?

did the system log (dmesg) contain any suspend and resume message ?

Can't answer you question.

________________________________
 From: Raymond <email address hidden>
To: <email address hidden>
Sent: Thursday, December 13, 2012 9:42 AM
Subject: [Bug 1038479] Re: [Satellite L755, Conexant CX20585, Speaker, Internal] fails after a while

did the pin ctl of the speaker node change from OUT to 0x00 ?

did the system log (dmesg) contain any suspend and resume message ?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1038479

Title:
  [Satellite L755, Conexant CX20585, Speaker, Internal] fails after a
  while

Status in “alsa-driver” package in Ubuntu:
  Confirmed

Bug description:
  Restart will fix the issue, but sound always quits from internal
  speaker. Headphones work always.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu1
  ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24
  Uname: Linux 3.2.0-29-generic x86_64
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
  ApportVersion: 2.0.1-0ubuntu12
  Architecture: amd64
  ArecordDevices:
  **** List of CAPTURE Hardware Devices ****
  card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
    Subdevices: 1/1
    Subdevice #0: subdevice #0
  AudioDevicesInUse:
  USER        PID ACCESS COMMAND
  /dev/snd/controlC0:  bernie    1838 F.... pulseaudio
  Card0.Amixer.info:
  Card hw:0 'PCH'/'HDA Intel PCH at 0xc0600000 irq 44'
    Mixer name    : 'Intel CougarPoint HDMI'
    Components    : 'HDA:14f15069,1179fc50,00100302 HDA:80862805,1179fc50,00100000'
    Controls      : 24
    Simple ctrls  : 11
  Date: Sat Aug 18 11:18:34 2012
  InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
  PackageArchitecture: all
  ProcEnviron:
  LANGUAGE=en_US:en
  PATH=(custom, no user)
  LANG=en_US.UTF-8
  SHELL=/bin/bash
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_Jack: Speaker, Internal
  Symptom_Type: Sound works for a while, then breaks
  Title: [Satellite L755, Conexant CX20585, Speaker, Internal] fails after a while
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 07/13/2011
  dmi.bios.vendor: INSYDE
  dmi.bios.version: 2.20
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: Base Board Product Name
  dmi.board.vendor: Intel Corp.
  dmi.board.version: Base Board Version
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: OEM Chassis Manufacturer
  dmi.chassis.version: OEM Chassis Version
  dmi.modalias: dmi:bvnINSYDE:bvr2.20:bd07/13/2011:svnTOSHIBA:pnSatelliteL755:pvrPSK1WU-05N004:rvnIntelCorp.:rnBaseBoardProductName:rvrBaseBoardVersion:cvnOEMChassisManufacturer:ct10:cvrOEMChassisVersion:
  dmi.product.name: Satellite L755
  dmi.product.version: PSK1WU-05N004
  dmi.sys.vendor: TOSHIBA

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1038479/+subscriptions

Rich Moffat (rmoffat) wrote :

Same issue with my L755. Been chasing solutions for two weekends now. Tried solutions for similar solutions to no avail.

Any additional info I can give to move this along can be provided.

Raymond (superquad-vortex2) wrote :

post the output of always-info.sh before (Working) and after resume (non working)

diff -u before_output and after_output

Rich Moffat (rmoffat) wrote :

Here is the output from alsa-info.sh (I'm assuming that's what you meant). 3 files in attached tar file:

alsa-output-before.txt
alsa-output-after.txt
alsa-output-diff.txt

Raymond (superquad-vortex2) wrote :

@@ -323,7 +323,7 @@
     Misc = NO_PRESENCE
   Pin-ctls: 0x40: OUT
   Power states: D0 D1 D2 D3 D3cold EPSS
- Power: setting=D0, actual=D0
+ Power: setting=D3, actual=D3
   Connection: 2
      0x10* 0x11
 Node 0x20 [Pin Complex] wcaps 0x400781: Stereo Digital

send email to the author

https://git.kernel.org/?p=linux/kernel/git/tiwai/sound.git;a=commitdiff;h=4d7fbdbcb1d563b1822c74da3c9e4aa4523d8d6d;hp=e581f3dba509f6d48e4939aa70e9b768aa5fd4f3

Rich Moffat (rmoffat) wrote :

Another clue (for someone. I don't understand it)

If I "suspend" my system my sound is back on return. (sudo pm-suspend)

Bernie Asmus (bernie-b) wrote :

Thanks Rich,

That's a little faster than a restart, but still not ideal.

Ramana Venkata (idlike2dream) wrote :

Thanks Rich,

"suspend"(sudo pm-suspend) solves the problem for me.

Rich Moffat (rmoffat) wrote :

unfortunely for me it's just a temporary fix. I'm lucky if I go for 5 minutes with sound. And that's just if the pc is cold. It does also seem to be affected by the type of sound (I know that sounds crazy). I was watching one video of someone etching a circuit board. When he was showing running it under the tap to rinse it off it will cut out within 5 seconds. I tried it repeatedly (20 times at least) with the same results. All other sections I can get 1-5 minutes of sound before it cuts out. Something about that frequency seems to make things work. Go figure

Download full text (3.4 KiB)

5 minutes is about all I get as well. Volume also seems to be a factor.

-------- Original message --------
From: Rich Moffat <email address hidden>
Date:
To: <email address hidden>
Subject: [Bug 1038479] Re: [Satellite L755, Conexant CX20585, Speaker,
  Internal] fails after a while

unfortunely for me it's just a temporary fix. I'm lucky if I go for 5
minutes with sound. And that's just if the pc is cold. It does also seem
to be affected by the type of sound (I know that sounds crazy). I was
watching one video of someone etching a circuit board. When he was
showing running it under the tap to rinse it off it will cut out within
5 seconds. I tried it repeatedly (20 times at least) with the same
results. All other sections I can get 1-5 minutes of sound before it
cuts out. Something about that frequency seems to make things work. Go
figure

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1038479

Title:
  [Satellite L755, Conexant CX20585, Speaker, Internal] fails after a
  while

Status in “alsa-driver” package in Ubuntu:
  Confirmed

Bug description:
  Restart will fix the issue, but sound always quits from internal
  speaker. Headphones work always.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu1
  ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24
  Uname: Linux 3.2.0-29-generic x86_64
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
  ApportVersion: 2.0.1-0ubuntu12
  Architecture: amd64
  ArecordDevices:
   **** List of CAPTURE Hardware Devices ****
   card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
     Subdevices: 1/1
     Subdevice #0: subdevice #0
  AudioDevicesInUse:
   USER        PID ACCESS COMMAND
   /dev/snd/controlC0:  bernie     1838 F.... pulseaudio
  Card0.Amixer.info:
   Card hw:0 'PCH'/'HDA Intel PCH at 0xc0600000 irq 44'
     Mixer name : 'Intel CougarPoint HDMI'
     Components : 'HDA:14f15069,1179fc50,00100302 HDA:80862805,1179fc50,00100000'
     Controls      : 24
     Simple ctrls  : 11
  Date: Sat Aug 18 11:18:34 2012
  InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
  PackageArchitecture: all
  ProcEnviron:
   LANGUAGE=en_US:en
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_Jack: Speaker, Internal
  Symptom_Type: Sound works for a while, then breaks
  Title: [Satellite L755, Conexant CX20585, Speaker, Internal] fails after a while
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 07/13/2011
  dmi.bios.vendor: INSYDE
  dmi.bios.version: 2.20
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: Base Board Product Name
  dmi.board.vendor: Intel Corp.
  dmi.board.version: Base Board Version
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: OEM Chassis Manufacturer
  dmi.chassis.version: OEM Chassis Version
  dmi.modalias: dmi:bvnINSYDE:bvr2.20:bd07/13/2011:svnTOSHIBA:pnSatelliteL755:pvrPSK1WU-05N004:rvnIntelCorp.:rnBaseBoardProdu...

Read more...

Ramana Venkata (idlike2dream) wrote :

Has anybody tried mailing the author?

Bernie Asmus (bernie-b) wrote :

I have been doing some testing. I installed Fedora 18 and it does the same thing. I broke down and installed Windows 7 and my speakers do the same thing. This is not a Linux bug in my case, there is something wrong with my Toshiba laptop.

I got exactly the same problem with my Toshiba Satelite L750, recently. I have Ubuntu 12.04.2 with kernel 3.2.0-52-generic. I suspect it must have to do with updates around 2013-08-09. Before that the speaker worked reliably. I tried to revert updates or downgrade to older kernel or newer one (3.8), but nothing helped. I observed all the effects others have described:
Waking up from suspension turns speakers on again.
Headphones always work.
Alternative USB sound card always works.
Windows always works.
Speakers are disabled only when making noise, not in phases of silence. I also suspected it is promoted by overdriven sounds.
The problem exists for all users of the machine.
It appears both on KDE and GNOME and without any desktop in the Linux konsole.

Bluexxx (bluexxx) wrote :

I have the same problem (Lenovo X201T, Ubuntu 12.04.3 64Bit).
With Ubuntu 11.10 Live-CD the sound works and also after the first installaion.
The soundproblem occure after some Updates in Ubutu 11.10. I believe after Ubuntu 12.04 was released.
I think its no harwareproblem, in windows the speakers worked very well bevor i migrate to Ubuntu.

- Speakers work for approx. 6 or 7 mins..
- Restart will fix the issue, but sound always quits from internal speaker.
- Headphones work always.
- If I "suspend" my system my sound is back on return.
- If I "log out" my system my sound is back on return.
- Volume also seems to be a factor.
- Speakers going are disabled only when making noise, not in phases of silence.
- I also suspected it is promoted by overdriven sounds.

- I tried in /etc/modeprobe.d/alsa-base.conf -> (dosn't work):
# (MB)Keep snd-pcsp from beeing loaded as first soundcard
options snd-pcsp index=-2
alias snd-card-0 snd-hda-intel
alias sound-slot-0 snd-hda-intel
options snd-hda-intel model=thinkpad (dosn't work)
then
options snd-hda-intel model=generic (dosn't work)
and
options snd-hda-intel model=lenovo (dosn't work)

- I tried also (https://wiki.ubuntu.com/Audio/PositionReporting) -> (dosn't work):
Turning off PulseAudio timer scheduling:
If your problem is specific to PulseAudio, you could as a last resort, try to turn off PulseAudio's timer scheduling. Note that this might consume slightly more power.

To change this, edit the file /etc/pulse/default.pa and change the line that says:
  load-module module-udev-detect
to
  load-module module-udev-detect tsched=0
After editing the file, reboot your computer for changes to take effect.

Any Solutions?

Ramana Venkata (idlike2dream) wrote :

At Sat, 26 Jan 2013 13:01:51 +0530,
Ramana Venkata wrote:
>
> Hey,
>
> I use a Lenovo G560 laptop from last two months I am suffering with this
> paticular bug.
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1038479

> Can you tell some solution to this problem?

Unfortunately there is no solution in sight yet.

This looks like an issue with Lenovo's firmware, if any. Conexant
chip itself has no such a feature, and the driver doesn't change the
power state by itself.

Takashi

This is the reply from the author 8 months back. I forgot to post his reply here. Now I realize that it shouldn't be a Lenovo firmware issue because a few Toshiba laptops also affected by the same bug. Somebody can try mailing the author again if they want to.

Bluexxx (bluexxx) wrote :

Hey,

it looks like it is a temperatureproblem (Lenovo X201T, Ubuntu 12.04.3 64Bit).

Im use ThinkFan for my Lenovo X201T to optimise the Temprature-FAN-Control, because Ubuntu 12.04.3 64Bit
crashed some times dependent from CPU-Temperature.
After optimizing the FAN-Control Ubuntu 12.04.3 64Bit does never crash and the sound works better (longer).

If the CPU-Fan on max power the sound goes after a while.
If the CPU-Fan on normal mode the sound comes back after a wihle.

It seems its dependents on the CPU-Temperature.

Venca B Spam (vbspam) wrote :

Try this: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1283168/comments/3

As seems this bug is the same or very similar.

Raymond (superquad-vortex2) wrote :

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/Documentation/sound/alsa/ALSA-Configuration.txt

have you changed power_save or power_save_controller setting ?

  power_save - Automatic power-saving timeout (in second, 0 =
  disable)
    power_save_controller - Reset HD-audio controller in power-saving mode
  (default = on)

kelly kubena (kellykubena) wrote :

I have same bug on my Toshiba L755, and only use Windows 7. Bug not restricted to ubuntu. Have wiped hard drive and loaded fresh install twice, bug always comes back.

This link doesn't go anywhere?

On Friday, February 21, 2014 8:25 PM, Raymond <email address hidden> wrote:

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/Documentation/sound/alsa
/ALSA-Configuration.txt

have you changed power_save or power_save_controller setting ?

  power_save    - Automatic power-saving timeout (in second, 0 =
        disable)
    power_save_controller - Reset HD-audio controller in power-saving mode
        (default = on)

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1038479

Title:
  [Satellite L755, Conexant CX20585, Speaker, Internal] fails after a
  while

Status in “alsa-driver” package in Ubuntu:
  Confirmed

Bug description:
  Restart will fix the issue, but sound always quits from internal
  speaker. Headphones work always.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu1
  ProcVersionSignature: Ubuntu 3.2.0-29.46-generic 3.2.24
  Uname: Linux 3.2.0-29-generic x86_64
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
  ApportVersion: 2.0.1-0ubuntu12
  Architecture: amd64
  ArecordDevices:
  **** List of CAPTURE Hardware Devices ****
  card 0: PCH [HDA Intel PCH], device 0: CONEXANT Analog [CONEXANT Analog]
    Subdevices: 1/1
    Subdevice #0: subdevice #0
  AudioDevicesInUse:
  USER        PID ACCESS COMMAND
  /dev/snd/controlC0:  bernie    1838 F.... pulseaudio
  Card0.Amixer.info:
  Card hw:0 'PCH'/'HDA Intel PCH at 0xc0600000 irq 44'
    Mixer name    : 'Intel CougarPoint HDMI'
    Components    : 'HDA:14f15069,1179fc50,00100302 HDA:80862805,1179fc50,00100000'
    Controls      : 24
    Simple ctrls  : 11
  Date: Sat Aug 18 11:18:34 2012
  InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
  PackageArchitecture: all
  ProcEnviron:
  LANGUAGE=en_US:en
  PATH=(custom, no user)
  LANG=en_US.UTF-8
  SHELL=/bin/bash
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_Jack: Speaker, Internal
  Symptom_Type: Sound works for a while, then breaks
  Title: [Satellite L755, Conexant CX20585, Speaker, Internal] fails after a while
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 07/13/2011
  dmi.bios.vendor: INSYDE
  dmi.bios.version: 2.20
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: Base Board Product Name
  dmi.board.vendor: Intel Corp.
  dmi.board.version: Base Board Version
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: OEM Chassis Manufacturer
  dmi.chassis.version: OEM Chassis Version
  dmi.modalias: dmi:bvnINSYDE:bvr2.20:bd07/13/2011:svnTOSHIBA:pnSatelliteL755:pvrPSK1WU-05N004:rvnIntelCorp.:rnBaseBoardProductName:rvrBaseBoardVersion:cvnOEMChassisManufacturer:ct10:cvrOEMChassisVersion:
  dmi.product.name: Satellite L755
  dmi.product.version: PSK1WU-05N004
  dmi.sys.vendor: TOSHIBA

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1038479/+subscriptions

Zsolt Lakatos (glasius9313) wrote :

exactly the same problem on toshiba satellite l750 1h3 with ubuntu 14.04 lts
i added these lines to "etc/modprobe.d/alsa-base.conf":
options snd-hda-intel enable_msi=1
options snd-hda-intel model=ideapad
options snd-hda-intel power_save=0
options snd-hda-intel power_save_controller=0

the problem is still occurring for me

Zsolt Lakatos (glasius9313) wrote :

windows 7 x86_64 also affected for me since i use the laptop as dualboot with ubuntu

Zsolt Lakatos (glasius9313) wrote :

"windows 7 x86_64 also affected for me since i use the laptop as dualboot with ubuntu"
sorry. this was a false information
windows works fine

jovmilan (jovmilan) wrote :

I'm had the similar problem with my Toshiba L750D - with the same sound card on Kubuntu 14.04. Then I switched to Fedora Core 20 - and it worked OK with the open source radeon driver. As soon as I installed proprietary graphics card AMD driver, the problem reoccurred.

Venca B Spam (vbspam) wrote :

Sounds weird. As far as I know the radeon is graphics card driver. The
problem with the sound is snd-hda-intel driver related....

Would it be possible that it is more related to the power management
that regulate the increased heat produced by the Radeon card (when is)
controlled by the proprietary card driver?

On 09/03/14 01:59, jovmilan wrote:
> I'm had the similar problem with my Toshiba L750D - with the same sound
> card on Kubuntu 14.04. Then I switched to Fedora Core 20 - and it worked
> OK with the open source radeon driver. As soon as I installed
> proprietary graphics card AMD driver, the problem reoccurred.
>

jovmilan (jovmilan) wrote :

@vbspam You are absolutely right. I have been monitoring how FC behaves in the past couple of days and it worked ok... Well until this morning. I started a compression of a large directory and the moment the system started overheating and fans revving to the max, sound dissapeared.

Степан (stebgo) wrote :

Hi.
The same problem with Acer TravelMate 8572G - Conexant CX20585

I have the same situation on Lenovo G460. I've opened a thread on ubuntu forum:
ubuntuforums.org/showthread.php?t=2245350&p=13127322#post13127322

Doing this, the sound come back again, even for a while:
sudo hda-verb /dev/snd/hwC0D1 0x1f SET_POWER_STATE 0

Venca B Spam (vbspam) wrote :

Right, this works to me too, however it brings the sound back for
unpredictable timewindow. With the overall increased laptop load it
stops working very quickly. I made a bash script that sets the power
state to zero every 0.1sec which works, however the result in weird
crackling sound every 0.1sec.

I started believing that it is the wrong firmware, as it seems it
influences also Windows world.

On 11/08/14 00:40, dyegomb wrote:
> Doing this, the sound come back again, even for a while:
> sudo hda-verb /dev/snd/hwC0D1 0x1f SET_POWER_STATE 0
>

MD4 (bruno-mueller) wrote :

has anyone come up with a solution?

I have the same problem with a lenovo t410

Venca B Spam (vbspam) wrote :

I believe there is no solution and most likely will not be.

Why:
- The problem occurs in most cases after the warranty period.

- It is also somehow linked to the hardware deeper then one would expect
(seems it lies somewhere in the Intel HDA switch/firmware programming).
Although I still believe change in the kernel module may workaround it,
nobody (even the kernel module developer) did not pick this to fix it. I
tried to investigate what has to be done, but it was too far from my
actual knowledge about that chip and kernel module programming.

If anyone wants to try it, I am willing to share what I have learned
about this bug, but I have no time to actively contribute to it more
then half an hour a day.

On 05/14/2015 10:11 AM, MD4 wrote:
> has anyone come up with a solution?
>
> I have the same problem with a lenovo t410
>

Hi vbspam,
I'd like to try help us... is there anything I can do?

Ercan MUTLU (fercanm) on 2015-08-24
description: updated
Ercan MUTLU (fercanm) wrote :

Many of Toshiba L7XXmodels has a problem with this sound card.(maybe others)
PROBLEM COMES FROM HARDWARE NOT SYSTEM SPECIFIC.
HEATING ISSUE !!!! OVERHEATING !!!!!!
 AFTER 2 year usage of my laptop, cause sound chip to cut off speakers.
I googled, searched and many guys has the same issue like me.
SOLUTION IS SIMPLE,
1. FIND THE LOCATION OF THE SOUND CHIP.
2. PLACE A 1.5 mm COPPER PLATE ON TO THE CHIP.3cm x 4cm and 2mm thickness.
I am not joking guys, believe me there is no another way.We must COOL this ugly sound chip.
NOTICE:Before, My local toshiba supporter tel me that I have to CHANGE MAINBOARD for fixing the problem.AGAIN,THIS IS A
HARDWARE PROBLEM CAUSED BY CONNEXANT SOUND CART

Anton (lancaster217) wrote :

Does not look like a hardware issue with my Toshiba Satellite L750-129. I have Windows 7 in dual-boot with OpenSuSe 13.2 and speakers do ALWAYS work on Windows 7, and do not work on OpenSuSe. Claims about overheating do not explain this.
Moreover my colleague has Satellite L755 with same Win7/OpenSuSe13.2 configuration and experiences exactly same problems.

Venca B Spam (vbspam) wrote :

Hi guys!

I have this problem long time. The overheating may not explain the
issue, however the issue itself is closely connected to the power
management of the hardware.

I investigated the problem and it is basically caused by the decision of
the HW to switch the mode of the circuit (programmable HDA switch). Of
course as the HW is programable, there is something (I would call it for
now codec) that causes the HW beahavior.

If the driver for the behavior is the increased temperature (and I
believe it is), is secondary.

The problem is that the 'codec' together with the Toshiba Satellite
L750-129 HW and others (even other brands) is doing bad job.

I tried to investigate the problem in order to fix it, however I found I
lack of knowledge about complex HDA firmware programing so I withdraw
the idea to fix it.

VB

On 08/26/2015 12:37 AM, Anton wrote:
> Does not look like a hardware issue with my Toshiba Satellite L750-129. I have Windows 7 in dual-boot with OpenSuSe 13.2 and speakers do ALWAYS work on Windows 7, and do not work on OpenSuSe. Claims about overheating do not explain this.
> Moreover my colleague has Satellite L755 with same Win7/OpenSuSe13.2 configuration and experiences exactly same problems.
>

Ercan MUTLU (fercanm) wrote :

@Anton (lancaster217)

TRUST ME GUYS PROBLEM GOES FROM CONNEXANT SOUND CHIP.
I WILL PROVE YOU:
-------------------------------
During usage of nearly 2 years of my Laptop(Toshiba L750) CONNEXANT SOUND CHIP IS NEVER OVER HEATED (NOT CPU, CPU STAYS ON DIFFERENT LOCATION,CPU Temp is about 40 degree,BUT MY SOUND CHIP IS MORE THEN 60 degree)
 Where do I know ?
    1.Place Your hand near your SOUND CHIP. MAKE SOUND LOUDER ( ? goes off faster)
     2.Wait for a MAX 2-3 min may be 5min (IF YOU LIVE IN COLD COUNTRY MAY BE 7 MIN OR MORE.) . When You feel on your palm heating increase You will see for i while that SOUND GOES OFF POWER STATE TO 1.
 (laptops react to save your motherboard )
    3.DO THIS COMMAND FROM PROMPT :

hda-verb /dev/snd/hwC0D1 0x1f SET_POWER_STATE 0

      YOU SEE SOUND GOES BACK. BUT after 15-30 second may be 1 min TURNS OFF AGAIN.
    4.PLEASE WAIT ABOUT 4 MINUTES TILL COOLS DOWN THE SOUND CHIP, THEN DO THIS COMMAND AGAIN.
    YOU WILL SE THAT SOUNDS GOES BACK BUT IT WORK MORE THEN 3-4 MIN BECAUSE WE COOLED IT MORE.

MY TOSHIBA SUP. THEC. CENTER SAID ME : "WE KNOW THIS PROBLEM , SOLUTION IS CHANGE MOTHERBOARD.THERE IS NO ANOTHER WAY.",

BUT I FOUND THE SOLUTION LIKE OTHER GUYS SUFFERS FROM THIS CRAPPY

SOLUTION IS : TO COOL THIS UGLY CHIP. BUT HOW ?
 I placed on to the sound chip 0.6 mm X 3cm x 10cm to cool this guy.
NOW, I AM HAPPY THAT MY SOUND CARD WORKS MORE THEN 3 HOURS IN A LOUDER MODE(8-10 volume), BUT IN NORMAL I mean normal my sound volume in a state of 2-3 is work ALWAYS.
 TRY IT YOU WILL SEE.

Ercan MUTLU (fercanm) wrote :

SOLUTION :
PLACE ON TO THE SOUND CHIP 0.6 mm X 3cm x 10cm RUBBER PLATE. THIS WILL SOLVE THE ISSUE.

Bluexxx (bluexxx) wrote :

Thanks ... good idea ... it works for my Lenovo x201t i7 ... its unbelievable ... i have music on my thikpad ... happy.
Test: 1h on 50% volume and the sound is still on :o) ... happy

I found 2 passiv cooler from my raspberry-projekts like this:
http://www.amazon.de/gp/product/B00ILK6DMA?qid=1447771331&ref_=sr_1_2&s=computers&sr=1-2

and put the cooler on the 2 chips on my 3 in 1 sound-card like this:
http://www.aliexpress.com/item/Replacement-Sound-Card-board-with-RJ11-modem-port-for-ThinkPad-X200-X200s-X201-X201i/1669223301.html
(Chips 0,4cm x 1cm x 1cm behind the black cover).

Best Regards

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers